function SetCurrentLayout(layout)
	if not layout then return end
	-- make sure this skin contains the layout, otherwise do nothing
	local foundLayout = false
	for index, complayout in layouts do
		if layout == complayout then
			foundLayout = true
			break
		end
	end
	if not foundLayout then return end

	currentLayout = layout
	Prefs.SetToCurrentProfile("layout", currentLayout)
	SelectUnits(nil)
	if changeLayoutFunction then changeLayoutFunction(layout) end

	--# CHANGE BEGIN
	layout_func = import('/lua/ui/game/worldview.lua').opaqueLayoutChange
	layout_func(layout)
	--# CHANGE END
end
